<?php

namespace App\Modules\FactTypeReceipt\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class FactTypeReceiptResponses implements Response
{

    private array $data;

    public function __construct(FactTypeReceiptResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
